@echo off
set SERVICE_NAME="Elasticsearch Kibana 5.2.2"
set KIBANA_HOME=C:\kibana-5.2.2-windows-x86
set DEPEND_ON="elasticsearch-service-x64"

if exist "%KIBANA_HOME%\node\node.exe" goto :start
echo I could not find the Kibana executable as "%KIBANA_HOME%\node\node.exe"
echo Please edit this BAT file and change KIBANA_HOME
goto :end

:start
nssm install %SERVICE_NAME% "%KIBANA_HOME%\node\node.exe" "%KIBANA_HOME%\src\cli"

nssm set %SERVICE_NAME% DependOnService %DEPEND_ON%
nssm set %SERVICE_NAME% Description "Elasticsearch Kibana service"

REM No Console Window (see the Process tab in nssm)
nssm set %SERVICE_NAME% AppNoConsole 1

REM Do not send WM_CLOSE to windows, because there are no windows (see the Shutdown tab in nssm)
nssm set %SERVICE_NAME% AppStopMethodSkip 2

nssm start %SERVICE_NAME%

:end
